
Redmine - Defect #38239

Test failure with Commonmarker 0.23.8

2023-02-03 07:36 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Go MAEDA % Done: 0%

Category: Gems support Estimated time: 0.00 hour

Target version: 5.0.5   

Resolution: Fixed Affected version: 5.0.4

Description

Test fails after updating Commonmarker to 0.23.8.

Failure:

Redmine::WikiFormatting::CommonMark::FormatterTest#test_footnotes [/Users/maeda/redmines/redmine-t

runk/test/unit/lib/redmine/wiki_formatting/common_mark/formatter_test.rb:159]:

--- expected

+++ actual

@@ -1 +1 @@

-"<p>This is some text<sup><a href=\"#fn-1\" id=\"fnref-1\">1</a></sup>.</p> <ol><li id=\"fn-1\"><

p>This is the foot note <a href=\"#fnref-1\" aria-label=\"Back to content\">↩</a></p></li></ol>" 

+"<p>This is some text<sup><a href=\"#fn-1\" id=\"fnref-1\">1</a></sup>.</p> <ol><li id=\"fn-1\"><

p>This is the foot note <a href=\"#fnref-1\" aria-label=\"Back to reference 1\">↩</a></p></li></ol

>" 

rails test test/unit/lib/redmine/wiki_formatting/common_mark/formatter_test.rb:143

Associated revisions

Revision 22092 - 2023-02-05 05:40 - Go MAEDA

Fix test failure with Commonmarker 0.23.8 (#38239).

Revision 22093 - 2023-02-05 06:12 - Go MAEDA

Merged r22092 from trunk to 5.0-stable (#38239).

History

#1 - 2023-02-03 07:57 - Go MAEDA

The issue is due to the following changes in the depending libraries:

Update cmark-upstream to `0.29.0.gfm.9` by smockle · Pull Request #227 · gjtorikian/commonmarker

fix: Links with unique targets should have unique labels by smockle · Pull Request #307 · github/cmark-gfm

#2 - 2023-02-03 08:01 - Go MAEDA

- File 38239.patch added

The attached patch fixes the issue.

#3 - 2023-02-03 08:02 - Go MAEDA

- Affected version changed from 5.0.0 to 5.0.4

#4 - 2023-02-05 06:20 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 5.0.5

- Resolution set to Fixed

Committed the fix.
https://github.com/gjtorikian/commonmarker/pull/227
https://github.com/github/cmark-gfm/pull/307


Files

38239.patch 1.06 KB 2023-02-03 Go MAEDA
